[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# notequal(Cardinal,TUInt24Rec):Boolean

Check whether a TUInt24Rec value differs from a cardinal value.

## Declaration

Source position: unicodedata.pas line 250

`class operator TUInt24Rec.notequal(Cardinal,TUInt24Rec):Boolean(`
`a: Cardinal;`
`b: TUInt24Rec`
`):Boolean;`

## Arguments

`a` |  | Cardinal value to compare
`b` |  | TUInt24Rec to compare

## Function result

True if a and b are different

## Description

The cardinal a is considered not equal to b if the fourth byte (LSB) is nonzero, or one of the first three bytes differ from byte0, byte1, and byte2.